Skip to main content
GET
/
v3
/
equipment-manufacturers
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/equipment-manufacturers \
  --header 'X-Session-Token: <api-key>'
import requests

url = "https://api.ctrl-hub.com/v3/equipment-manufacturers"

headers = {"X-Session-Token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};

fetch('https://api.ctrl-hub.com/v3/equipment-manufacturers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>"
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {}
    }
  ],
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}
{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}
{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}
{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • eq(id,xxx): Filter equipment manufacturers by ID.
  • eq(name,xxx): Filter equipment manufacturers by name.
  • contains(name,xxx): Filter equipment manufacturers where name contains value.
limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of equipment manufacturers.

JSON API response object

data
A list of equipment manufacturers · object[]
required
meta
object
required
jsonapi
object
required